Page 11 of 11 FirstFirst ... 91011
Results 151 to 165 of 165

Thread: Вопросы по работе PHP на роутере

  1. #151

    Call to undefined function bcadd() как исправить?

    на роутере rt-n16 с прошивкой r4686 установил php5-fastcgi с пом opkg

    вот, что дает: opkg list_installed

    cron - 4.1-2
    findutils - 4.5.10-1
    ldconfig - 0.9.32-4
    libc - 0.9.32-4
    libgcc - 4.6.3-4
    libopenssl - 1.0.1c-1
    libpcre - 8.11-2
    libpthread - 0.9.32-4
    librt - 0.9.32-4
    libstdcpp - 4.6.3-4
    libxml2 - 2.7.8-2
    lighttpd - 1.4.30-3
    lighttpd-mod-cgi - 1.4.30-3
    lighttpd-mod-fastcgi - 1.4.30-3
    php5 - 5.4.5-3
    php5-cgi - 5.4.5-3
    php5-fastcgi - 5.4.5-3
    uclibc-opt - 0.9.32-3
    zlib - 1.2.7-1


    При запуске php не вызывется функция: bcadd()

    ошибка:
    Call to undefined function bcadd()

    Посмотрел, что эта функиця принадлежит пакету bcmath, который
    квлючается при компиляции php ключем: --enable-bcmath
    Как это делать?
    Может надо как то проoще?

    Сам пытаюсь установить простейшую статистику
    по http://wl500g.info/showthread.php?22...%EE-ip-%E8-mac
    Last edited by kpush; 29-10-2012 at 07:47.

  2. #152

    Question PHP и httpd?

    Вопросик! Поддерживает ли?

  3. #153
    Join Date
    Mar 2011
    Location
    Moscow
    Posts
    233
    Ответик! Да.
    WL500gp 1.9.2.7-d-r2624, Optware.

  4. #154
    Quote Originally Posted by sanc_6 View Post
    Вопросик! Поддерживает ли?
    • если по httpd понимается прошивочный web-сервер из прошивки, то ответ «нет»,
    • если по httpd понимается устанавливаемый отдельно apache2, то ответ — «да».

  5. #155

    Question Обновление PHP

    Можно ли обновить PHP хотя бы до 5.3.3?
    или как можно добавить mcrypt и PECL HTTP для PHP 5.2.17 на WL500gpv2 (1.9.2.7-rtn-r5066) ?

  6. #156
    Конечно можно. Только надо достучаться до авторов репозитория Optware и (в идеале) прислать им соответвующие патчи.

  7. #157

    Unhappy

    а без репозитория как можно самому установить ?

    не пинайте сильно, у меня есть базовые знания Linux, а где что брать и как правильнее установить не знаю

  8. #158
    Вариантов не много:

    • или использовать готовый PHP из какого-либо репозитория,
    • или компилировать PHP самому.

    Второй вариант для новичка скорее всего окажется непосильным.

  9. #159
    Zend OPcache скомпиленый под нашу архитекутуру никто не видел?

  10. #160
    Join Date
    Mar 2011
    Location
    Moscow
    Posts
    233
    Quote Originally Posted by mbg View Post
    Zend OPcache скомпиленый под нашу архитекутуру никто не видел?
    Видел:)
    Code:
    # file opcache.so
    opcache.so: ELF 32-bit LSB shared object, MIPS, MIPS32 version 1 (SYSV), dynamically linked, stripped
    WL500gp 1.9.2.7-d-r2624, Optware.

  11. #161

    Question

    Quote Originally Posted by don-pedro View Post
    Видел
    Code:
    # file opcache.so
    opcache.so: ELF 32-bit LSB shared object, MIPS, MIPS32 version 1 (SYSV), dynamically linked, stripped
    о! а где можно взять?

  12. #162
    Join Date
    Mar 2011
    Location
    Moscow
    Posts
    233

    Cool

    Quote Originally Posted by mbg View Post
    о! а где можно взять?
    Увы, это - нигде. Я его скомпилировал под свой роутер (см. подпись) чисто из любопытства.
    Code:
    wget http://pecl.php.net/get/zendopcache-7.0.3.tgz && tar xvzf zendopcache-7.0.3.tgz && cd zendopcache-7.0.3 && phpize && ./configure && make
    Даже не знаю, работает ли. И тем более - заработает ли оно на вашем оборудовании.
    :-/
    WL500gp 1.9.2.7-d-r2624, Optware.

  13. #163
    Quote Originally Posted by don-pedro View Post
    Увы, это - нигде. Я его скомпилировал под свой роутер (см. подпись) чисто из любопытства.
    Code:
    wget http://pecl.php.net/get/zendopcache-7.0.3.tgz && tar xvzf zendopcache-7.0.3.tgz && cd zendopcache-7.0.3 && phpize && ./configure && make
    Даже не знаю, работает ли. И тем более - заработает ли оно на вашем оборудовании.
    :-/
    Ну давайте проверим

  14. #164
    Join Date
    Mar 2011
    Location
    Moscow
    Posts
    233
    Quote Originally Posted by mbg View Post
    Ну давайте проверим :)
    Ответил в личке.
    WL500gp 1.9.2.7-d-r2624, Optware.

  15. #165
    Quote Originally Posted by don-pedro View Post
    Ответил в личке.
    Не то пальто
    PHP Warning: PHP Startup: Invalid library (maybe not a PHP library) 'opcache.so' in Unknown on line 0
    Буду искать дальше...

Page 11 of 11 FirstFirst ... 91011

Similar Threads

  1. How to execute php scripts ?
    By simistef in forum WL-500gP Q&A
    Replies: 13
    Last Post: 11-03-2008, 09:35

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •